package com.steerinfo.ems.ifmesemswatermonitor.mapper;

import com.steerinfo.ems.ifmesemswatermonitor.model.IfMesEmsWatermonitor;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface IfMesEmsWatermonitorMapper extends IBaseMapper<IfMesEmsWatermonitor, String> {
    int synchronousMesAnEmsData();

    List<IfMesEmsWatermonitor> getNewData();

    int updateStatus(Map<String, Object> params);
}